RegisterRequest:
  type: object
  properties:
    login:
      type: string
      description: Логин (указывается в виде email)
      example: "example@example.com"
    password:
      type: string
      description: Пароль
      nullable: true
      example: "qwerty123"
    code:
      type: string
      description: Код подтверждения
      nullable: true
      example: "1234"
    first_name:
      type: string
      description: Имя
      example: "Иван"
    last_name:
      type: string
      description: Фамилия
      nullable: true
      example: "Иванов"
    phone:
      type: string
      description: Номер телефона
      example: "+79995557788"
    birthday:
      type: string
      description: День рождения в формате yyyy-mm-dd
      nullable: true
      example: "1756-01-27"
  required:
    - login
    - password
    - code
    - first_name
    - phone

LoginRequest:
  type: object
  properties:
    login:
     type: string
     description: Логин
     example: TestLogin
    password:
     type: string
     description: Пароль
     example: testPassword775105k#i*
  required:
    - login
    - password

LoginByCodeRequest:
  type: object
  properties:
    phone:
      type: string
      description: Номер телефона
      example: "+79995557788"
    code:
      type: string
      description: Код подтверждения
      example: "1234"
  required:
    - phone
    - code

RefreshRequest:
  type: object
  properties:
    refresh_token:
      type: string
      description: Refresh token
  required:
    - refresh_token

AuthResponse:
  type: object
  x-lg-resource-class-name: TokensResource
  properties:
    data:
      type: object
      properties:
        access_token:
          type: string
          description: Access Token
        refresh_token:
          type: string
          description: Refresh token
        expires_in:
          type: integer
          description: Время действия токена (в секундах)
          example: 86400
      required:
      - access_token
      - refresh_token
      - expires_in
  required:
    - data
